This is really a FAQ. I'll keep it short:

PostGIS developers decided not to build PostGIS support when raster support is not enabled. The GDAL version in RHEL 5 is not enough to build PostGIS 2.1 with raster support. That is the reason that you cannot create postgis as an extension on RHEL 5.

Either upgrade to RHEL 6, or build your own custom GDAL and etc. RPMs for RHEL 5.

4 Comments

Linear

The author does not allow comments to this entry